#ifndef EDITUPLOAD_H
#define EDITUPLOAD_H
#include "ftpaccess.h"

#include <kdialogbase.h>

class EditUploadBase;

class EditUpload : public KDialogBase {
    Q_OBJECT
public:
    EditUpload(ftpupload *u=0, QWidget *parent=0, char *wname=0);
    ~EditUpload();
public slots:
    void chownPressed();
    void chownToPressed(QString const &a);
    void chgrpPressed();
    void chgrpToPressed(QString const &a);
    void slotOk();
signals:
    void EditUploadDone(ftpupload *u);
private:
    ftpupload *	        upl;
    EditUploadBase *    mWidget;
};
#endif
